aboutsummaryrefslogtreecommitdiffstats
path: root/tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests.sh')
-rwxr-xr-xtests.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/tests.sh b/tests.sh
new file mode 100755
index 0000000..99c333b
--- /dev/null
+++ b/tests.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# $Id$
+
+allerrs=0
+
+for i in tests/*.sh; do
+ /bin/sh ${i}
+ err=$?
+ if [ $err -ne 0 ]; then
+ echo "${i}: $err test(s) failed"
+ allerrs=$[ $allerrs + $err ]
+ else
+ echo "${i}: All test succefully passed"
+ fi
+done
+
+exit $allerrs